All Posts

1F
SH
: 發現更新到 tadtools 3.18 後,本站消息模組底下發表評論無法顯示,過去發表過的評論也無法顯示
2018-05-17 23:11
我們學校使用發表評論的方式,彙整各處室主任、組長的晨會報告內容,讓老師會議之後可以查閱。
5月17日晚間,更新 tadtools 到 3.18 後,檢查會員在本站消息模組下發表過的評論,無法顯示,試著發表新的評論也出不來,檢查[管理區首頁]裡的[評論]都在,就是前台出不來。

接著也把 tadnews 更新到 3.95 ,情況還是一樣! 大家更新後也有相同的情況嗎?

2F
tad
:
2018-05-18 09:03
這部份我會再檢查是什麼原因
但為什麼不直接用會議模組呢....
3F
tad
:
2018-05-18 09:12
我剛剛找別的網站試了一下
沒發現有此問題
所以,應該是貴站設定的問題...
有需要協助的話就請給網址帳密吧~
4F
tad
:
2018-05-18 09:22
哎呀~抱歉,我看錯地方
如果是新聞下方,那確實沒出現,我再查看一下。
5F
tad
:
2018-05-18 09:56
我發現這是XOOPS版本的關係
XOOPS 2.5.8 以後,樣板檔從 html 改為 tpl
所以,只要是 2.5.8 以前的都會讀不到評論的正確樣板 system_comment.tpl
最快最簡單的方法大概就是直接升級 XOOPS 2.5.9了。
或者改用會議模組也行...
6F
SH
:
2018-05-18 10:53
感謝 tad 老師 撥冗提供這些寶貴的建議與說明,謝謝您!
1F
小梁
: 暫時使用3.17版工具包
2018-05-14 15:48
Tad兄:
在下暫時換回3.17版的工具包,等待您修正好之後再行升級,有勞您了。
2F
tad
:
2018-05-14 16:46
烏龍一場
其實是 tad theme 佈景管理的關係
不是 tadtools
反正,都更新就行了。
3F
小梁
:
2018-05-14 21:11
Tad兄:
感謝您為大家服務的辛勞,謝謝您,有您真好!
1F
小梁
: 升級工具包後,導覽列選單不見了
2018-05-14 15:10
Tad兄:
我剛剛升級了工具包後,原先在使用的導覽列下拉式選單無法顯示,但是後端管理平台看得到所有的選項,表示可能是前台的顯示功能出問題,麻煩您了,謝謝。
2F
陳淑貞
:
2018-05-14 15:18
吳老師,我們學校網頁也是同樣情形
https://campus-xoops.tn.edu.tw/uploads/tad_discuss/image/.thumbs/DiscussID_4539_1.png
3F
tad
:
2018-05-14 15:40
又是該死的bug...
我來處理
1F
林才富
: 請問如果升級出錯後,有急救的文章參考嗎?
2018-03-20 15:52
剛剛維護主機時候,看到可以升級的訊息,就先升級了 tad tools 工具包,再升級 站長工具箱 ,結果升級成功,但是另外一台手殘,先按了 站長工具箱 更新成功,接著再按 tad tools 結果,就~~~HTTP ERROR 500 了! 有文章可以參考急救嗎?感恩喲!
2F
tad
:
2018-03-20 15:57
那就手動上傳 tadtools 吧~
3F
林才富
:
2018-03-20 16:03
有重新上傳了,但是手動上傳完後,要做什麼動作嗎?因為重新上傳後還是 http error 500????
4F
tad
:
2018-03-20 16:36
那就妙了....
應該是apache沒設定好吧...
參考一下這個: https://campus-xoops.tn.edu.tw/modules/tad_book3/page.php?tbdsn=208
5F
tad
:
2018-03-20 20:12
注意!如果已經安裝2.72版站長工具箱,且網站是可直接寫入的(不須經過ssh),那在2018/03/20 20:08 以前的版本,可能會將模組全部解壓縮至 modules 下,導致底下一片狼藉(真的很抱歉,請慢慢刪)。
若要解決此問題,請先手動下載最新版 tad_adm,並接壓縮上傳覆蓋即可繼續線上安裝,已經修正此問題。
6F
林才富
:
2018-03-20 21:02
難怪 log 檔一直出現 PHP Fatal error:  Cannot declare class TadtoolsCorePreload, because the name is already in use in /var/www/html/xoops/modules/tadtools/preloads/core.php on line 0, ref
erer: http://網址/modules/tad_adm/admin/index.php ,所以才會出現500。
剛剛用系統的模組升級,恢復正常了~~
7F
tad
:
2018-03-20 21:25
因為我的系統都是需要進入ssh才會有寫入權限
所以,沒注意到不須寫入權限的會有此問題
所幸教師會理事長回報詳細情形才發現此問題阿~
8F
林才富
:
2018-03-20 21:37
PAAS上的VM應該也是需要SSH才會有寫入權限,不然有的搞了~~
9F
tad
:
2018-03-20 21:43
PAAS 是 windows的...所以,不會有ssh
此外,不建議使用 PAAS,不用我來搞
這玩意本身就可以讓人搞得身心俱疲了...
1F
一文賴
: 這是給「tad」的悄悄話喔!
2018-02-26 18:48
這是給「tad」的悄悄話喔!
2F
tad
:
2018-03-04 17:03
PHP版本太舊,請至少用PHP 5.4
另 dcs 完全不建議使用...請趁早搬走。
1F
David Yap
: 我升級TadTools,模組後台HTTP ERROR 500
2018-01-16 10:37
老師:
我升級TadTools Final後,我進我自已開發模組後台(用模組產生器3.0寫的),直接出現HTTP ERROR 500, 請問怎樣解決啊。謝謝!
2F
tad
:
2018-01-16 10:42
這樣太籠統了,我無法判斷啦...
HTTP ERROR 500 通常是主機端設定問題
檢查目錄下有無 .htaccess檔案,若有先刪掉之試試
3F
David Yap
:
2018-01-16 13:00
也對,對不起。我這樣問好了,舊產生器的admin/index.php, 是引入
header_admin.php和module_admin_footer($main,0),會不會是tadtools新版改了路徑什麼的。謝謝
4F
tad
:
2018-01-16 13:38
新版的已經沒有那些東西了
參考以下文件修正之吧~
pic
5F
David Yap
:
2018-01-16 21:30
謝謝老師,另外,我試著改回tadtools的上一版,當我進模組後后時,只出現以下的夤西,沒有errro!
Queries
0.000177 - SET NAMES 'utf8'
0.000088 - SET SQL_BIG_SELECTS = 1
0.000141 - SELECT * FROM config WHERE (conf_modid = '0' AND conf_catid = '1') ORDER BY conf_order ASC
0.000329 - SELECT sess_data, sess_ip FROM session WHERE sess_id = 'c3pk213jto2qmu6km9mn23cll6'
0.000285 - SELECT * FROM users WHERE uid = '1'
0.000134 - SELECT * FROM modules WHERE dirname = 'gb_member'
0.000126 - select `tt_use_bootstrap`,`tt_bootstrap_color`,`tt_theme_kind` from `tadtools_setup` where `tt_theme`='school2015'
Total: 7,是不是因為沒有載入html的原因
6F
tad
:
2018-01-17 09:48
不是,關除錯就好,這只是資料庫執行歷程。

降 tadtools 版本亦可
但未來將無法再升級。
7F
David Yap
:
2018-02-20 13:05
請問老師,文件中的xoops250moduleconvesionfiles ,可以在那裡下載
8F
David Yap
:
2018-02-20 13:07
請問老師,那裡可以下載文件提到的xoops250moduleconvesionfiles。謝謝
9F
tad
:
2018-02-20 16:37
如附檔
pic
10F
David Yap
:
2018-02-20 18:15
謝謝老師
1F
prolin
: 更新 3.10 版反而有問題。
2017-09-28 14:55
更新到 3.10版,網頁就會出現如下圖的錯誤訊息。
行事曆 2.83 版,點擊可新增事件,但點事件不會出現詳細資料彈出畫面。
改回 tadtools 3.09 ,就可以正常。


環境:xoops 2.5.9 , jquery 3.2.1   , php 7.0

我在寫作業上傳展示時,要加上 jquery-migrate ,一些 javascript 套件才會正常運作。

2F
prolin
:
2017-09-28 15:39
我修改(3.10版) tadtools/preload/core.php
把這一行的 標記,再打開
$xoTheme->addScript('modules/tadtools/jquery/jquery-migrate-3.0.0.min.js');

在行事曆上就可以正確執行了。
3F
tad
:
2017-09-28 15:42
這個一打開,timeline模組就會不正確啊...
行事曆我有更新新版本,看看有沒有效
4F
prolin
:
2017-09-28 16:00
我就是測試今天的 2.83 版行事曆。

不然就得把一些舊模組自行加上 jquery-migrate 。

 
5F
tad
:
2017-09-28 16:09
嗯...我再研究研究
暫時模組各自加好了。
6F
prolin
:
2017-09-30 09:28
我使用的樣版 school2015,其中 jquery-pin.js  會有錯誤訊息(不使用 jquery-migrate)。
看了程式,在佈景設定處可以設定是否使用 jquery-pin ,但我找不到是那一選項。
以 school2015 為例,這個有什麼用途?
7F
tad
:
2017-09-30 10:00
印象中是給某個模組用的...
至於是哪個模組,我還得查一下
因為,除了釋出的模組,公務用的模組也有四五十個...
8F
tad
:
2017-09-30 10:01
或者「導覽列」還是佈景管理的幾個選單區塊好像也有用到
1F
蘇義傑
: 更新到xoops2.5.9,tad_tools一直出現這個問題
2017-08-10 22:31
錯誤
通知: Only variables should be passed by reference 在檔案中的第 /modules/tadtools/admin/main.php 列 149
通知: Only variables should be passed by reference 在檔案中的第 /modules/tadtools/admin/main.php 列 149
2F
tad
:
2017-08-11 10:26
通知訊息就直接無視他吧...
無關緊要阿...
1F
geek01
: jquery.validationEngine問題
2017-06-23 10:42
formValidator.php內調用jquery.validationEngine時
inlineValidation、success、failure這3個是無效參數
應該可以移除~
2F
tad
:
2017-06-23 10:50
感謝!3Q!
1F
張浩文
: 我的學校網站被導到這頁面來了.。
2017-06-12 00:12
怎麼辦?
http://www.dases.tn.edu.tw/
2F
張浩文
:
2017-06-12 00:36
錯誤是進行TADTOOLS3.04 更新到3.08出現的
但一直無法線上更新.。於是進入FILEzilla想重新上傳.卻發現無法覆蓋檔案.而且tadtools下的admin目錄下只剩下footer.php 這個檔案
其餘目錄均未更動
怎麼會這樣?
3F
張浩文
:
2017-06-12 01:51
原來要網站停掉才能進行FTP的更新動作 我更動了tadtools至3.08 結果網站回到學校首頁了 但只有出現FOOT.php的畫面.。
所以我再次更新佈景管理.但依舊出不來原本的畫面.會出現
Parse error: syntax error, unexpected '[' in C:\inetpub\temp\DWASFiles\Sites\dases\VirtualDirectory0\site\wwwroot\modules\tad_themes\admin\main.php on line 1097
最後只能改為default 佈景。
但進入布景管理仍然有以上錯誤
4F
tad
:
2017-06-12 08:49
PHP版本太舊。
5F
張浩文
:
2017-06-12 10:11
是教育局的雲端吔
那要怎麼辦?
6F
張浩文
:
2017-06-12 10:23
這是給「張浩文」的悄悄話喔!
7F
tad
:
2017-06-12 10:30
1.別用中心的
2.建議中心升級PHP
8F
張浩文
:
2017-06-12 10:36
這是給「張浩文」的悄悄話喔!